import request from '@/utils/request'

// 查询客户积分记录列表
export function listRecord(query) {
  return request({
    url: '/integral/record/list',
    method: 'get',
    params: query
  })
}

// 查询客户积分记录详细
export function getRecord(id) {
  return request({
    url: '/integral/record/' + id,
    method: 'get'
  })
}

// 新增客户积分记录
export function addRecord(data) {
  return request({
    url: '/integral/record',
    method: 'post',
    data: data
  })
}

// 修改客户积分记录
export function updateRecord(data) {
  return request({
    url: '/integral/record',
    method: 'put',
    data: data
  })
}

// 删除客户积分记录
export function delRecord(id) {
  return request({
    url: '/integral/record/' + id,
    method: 'delete'
  })
}

// 导出客户积分记录
export function exportRecord(query) {
  return request({
    url: '/integral/record/export',
    method: 'get',
    params: query
  })
}